# Settings
bg_color white
set ray_opaque_background, true
set mesh_radius, 0.01
set antialias, 1
set direct, 0.5
util.ray_shadows('none')

# Load files
load ../HEWL_anom_figures_final/anom_peak_pymol/HEWL_anom_1440frames_refine_2.pdb, HEWL
load_mtz ../HEWL_anom_figures_final/anom_peak_pymol/HEWL_anom_1440frames_refine_2.mtz, anom, ANOM, PHANOM

# Set up view to display anomalous atoms clearly
set_view (\
    -0.969639122,    0.218083978,   -0.110665374,\
     0.069391251,    0.679279208,    0.730590463,\
     0.234502584,    0.700723946,   -0.673783481,\
     0.000251124,    0.000063010, -134.501113892,\
    23.254928589,   36.719947815,   11.069032669,\
    87.200126648,  181.818527222,  -20.000000000 )

hide everything

# Cartoon representation
show cartoon, HEWL

# Sticks representation
set valence, 0
show sticks, resname CYS+MET and not hydrogens and not name C+N+O
set stick_radius, 0.22

# Spheres representation
show spheres, resname IOD
show spheres, resname CYS+MET and not hydrogens and not name C+N+O+CA+CB+CG+CE
set sphere_scale, 0.35

# Set up maps
map_double anom
isomesh anomdiff, anom, 4, HEWL, carve=1.6
set mesh_radius, 0.025

# Colors
color gray40, polymer and element C
color yellow, resname CYS+MET and not hydrogens and not name C+N+O+CA+CB+CG+CE
color hotpink, anomdiff

# Write out image
draw 1800,1800
png ../HEWL_anom_figures_final/anom_peak_pymol/HEWL_anom_peak.png
